#pragma once

#include "PdfObject.h"

class PdfStream : public PdfObject
{
public:
    PdfStream();

    void update();

    void setContent(const std::string& content);

    std::string toString(PdfXRefTable* xRefTable) override;

private:
    std::string mContent;
};
